/*
 * Clase que extiende de Pilot define los metodos para implementar otro
 * piloto que simule un algoritmo de movimiento que recorra el laberinto
 * pegado a la pared izquierda desde una posicion inicial hasta detectar
 * el radio de salida.
 *
 * Autor: Matias Contreras, Francisco Frez, Damian Quiroz.
 * Version: 2.0
 * Since: 2018-07-29
 */

#ifndef MYPILOT_H_			// Comprueba si la etiqueta no esta definida
#define MYPILOT_H_			// Crea una bandera en tiempo de compilacion

#include "Pilot.h"			// Biblioteca de cabecera para el uso del piloto
using namespace std;		// Incluye espacio de nombres para palabras reservadas

class MyPilot: public Pilot {
	public:
	/* Constructores y metodos */
		MyPilot(Robot* robot);
		void setCourseLeft();
};

#endif		/* Codigo se incluye en el paquete
	 	 	 * que se envia al compilador hasta aqui */
